varying vec4 diffuse, ambient;
varying vec3 normal, pos;


void main() {
  normal = gl_NormalMatrix * gl_Normal;
  
  pos = vec3(gl_ModelViewMatrix * gl_Vertex);
  
  diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
  
  ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
  
  gl_TexCoord[0] = gl_MultiTexCoord0;
  gl_Position = ftransform();
}
